package grafika;

import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

/*******************************************************************************
 * Trida OknoNoveSkore - tato trida spoustí okno proulozeni noveho skore
 *  + ulozeni to textoveho souboru
 * 
 * @author    Michal Hron
 * @version   18.05.2012
 */
public class OknoNoveSkore {
	
	private JTextField semNapsatJmeno;
	private JTextArea semSePiseSkore;
	private JFrame okno;
	
    /***************************************************************************
     * Konstruktor vytvari grafiku okna.
     */
	public OknoNoveSkore () {
		okno = new JFrame ();
		okno.setTitle ("Uložit výsledek");
		okno.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
		
		JLabel vseNapsane = new JLabel ("Gratulujeme, můžete uložit váš výsledek.");
		vseNapsane.setAlignmentX(Component.CENTER_ALIGNMENT);
		
		JPanel panelStred = new JPanel();
		panelStred.setBorder(BorderFactory.createTitledBorder(" Výsledek: "));
		JLabel jmeno = new JLabel("Jméno: ");
		semNapsatJmeno = new JTextField(20);
		JLabel skore = new JLabel("Skóre:  ");
		semSePiseSkore = new JTextArea(1,20);
		semSePiseSkore.setEditable(false);
		panelStred.add (jmeno);
		panelStred.add(semNapsatJmeno);
		panelStred.add (skore);
		panelStred.add(semSePiseSkore);
		

		JButton tlacitkoOdeslat = new JButton("Uložit");
		tlacitkoOdeslat.addActionListener(new SkoreUkladac());

		okno.add (vseNapsane, BorderLayout.NORTH);
		okno.add (panelStred, BorderLayout.CENTER);
		okno.add (tlacitkoOdeslat, BorderLayout.SOUTH);
		okno.pack();
		okno.setVisible(true);
		okno.setSize(300, 180);
		vseNapsane.setPreferredSize(new Dimension(300,30));
		panelStred.setPreferredSize(new Dimension(300,110));
		tlacitkoOdeslat.setPreferredSize(new Dimension(300,40));
		okno.setLocation(400, 0);
		okno.setResizable(true);
		
		semSePiseSkore.setText(nejakeSkore()); 
		//jak přečíst int? Nebo může být tady metoda navíc,která předělá int na string
	}
	
	//TATO TRIDA NEBUDE EXISTOVAT
	//VAZE SE NA SKORE
	//TODLE JE JEN POMOCNE PRO MOJE OVERENI
	public String nejakeSkore() { //jak do intu teď nějak nevím, stejně je to fuk
		String noveSkore = "5454";
		return noveSkore;		
	}
	
    /***************************************************************************
     * Vnitrni trida SkoreUkladac pro ulozeni vyplneneho do textoveho souboru
     *  + vypnutí okna
     */
	public class SkoreUkladac implements ActionListener{
		public void actionPerformed (ActionEvent e){
			try{
				// Create file 
				File out = new File("score.txt");
				FileWriter fw = new FileWriter(out, true); //true+bw.newLine() = zápis na novou řádku
				BufferedWriter bw = new BufferedWriter(fw);
				bw.write(semNapsatJmeno.getText() + " " + semSePiseSkore.getText());
				bw.newLine();
				bw.close();
				fw.close();
			}
			catch (Exception e1){
				//Catch exception if any
				System.err.println("Error: " + e1.getMessage());
			}
			okno.setVisible(false);
		}
	}
	
}
