package logika;

/*******************************************************************************
 * Trida Skore - textak se nacita a rozdeluje dle teto tridy
 * 
 * @author    Michal Hron
 * @version   18.05.2012
 */
public class Skore {

	private String jmenoHrace;
	private int hracovoSkore;

    /***************************************************************************
     * Konstruktor vytvari jmenoHrace a hracovoSkore
     * @param jmenoHrace, hracovoSkore
     */
	public Skore(String jmenoHrace, int hracovoSkore) {
		this.jmenoHrace = jmenoHrace;
		this.hracovoSkore = hracovoSkore;
	}

    /***************************************************************************
     * Metoda vrací jmenoHrace
     * @return jmenoHrace
     */
	public String getJmenoHrace() {
		return jmenoHrace;
	}

    /***************************************************************************
     * Metoda vrací hracovoSkore
     * @return hracovoSkore
     */
	public int getHracovoSkore() {
		return hracovoSkore;
	}

    /***************************************************************************
     * Metoda mění jmenoHrace
     * @param noveJmeno
     * @return jmenoHrace
     */
	public void setJmenoHrace(String noveJmeno) {
		this.jmenoHrace = noveJmeno;
	}

    /***************************************************************************
     * Metoda mění hracovoSkore
     * @param noveSkore
     * @return hracovoSkore
     */
	public void setHracovoSkore(int noveSkore) {
		this.hracovoSkore = noveSkore;
	}

}
